Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 628035 - (CVE-2010-3114) CVE-2010-3114 webkit: bad cast with text editing
CVE-2010-3114 webkit: bad cast with text editing
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20100819,reported=20100824,sou...
: Security
Depends On: 640382 640385 640386
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-27 13:27 EDT by Vincent Danen
Modified: 2012-03-07 02:00 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-07 02:00:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0177 normal SHIPPED_LIVE Moderate: webkitgtk security update 2011-01-25 12:07:15 EST

  None (edit)
Description Vincent Danen 2010-08-27 13:27:12 EDT
iCommon Vulnerabilities and Exposures assigned an identifier CVE-2010-3114 to
the following vulnerability:

Name: CVE-2010-3114
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-3114
Assigned: 20100824
Reference: CONFIRM: http://code.google.com/p/chromium/issues/detail?id=49628
Reference: CONFIRM: http://googlechromereleases.blogspot.com/2010/08/stable-channel-update_19.html

The text-editing implementation in Google Chrome before 5.0.375.127
does not properly perform casts, which has unspecified impact and
attack vectors.


This flaw also affects upstream WebKit:

https://bugs.webkit.org/show_bug.cgi?id=42655
http://trac.webkit.org/changeset/63773
Comment 1 Vincent Danen 2010-10-05 12:23:37 EDT
This issue has been corrected in WebKitGTK 1.2.5.
Comment 2 Vincent Danen 2010-10-05 13:19:01 EDT
Created webkitgtk tracking bugs for this issue

Affects: fedora-all [bug 640382]
Comment 4 Vincent Danen 2010-11-18 12:10:16 EST
Apple assigned CVE-2010-3808 to this same issue.
Comment 5 Kevin Fenzi 2010-11-18 12:16:45 EST
We already pushed 1.2.5 to f12/f13... should we close this?
Or figure out somehow if it's fixed in 1.3.6 for f14?
Comment 6 Vincent Danen 2010-11-18 13:15:43 EST
No, this needs to stay open until it is resolved in Red Hat Enterprise Linux 6.

I also don't know if it is fixed in 1.3.6, but upstream is pretty good with the development branch so I suspect that if it is not fixed yet, it will be soon.
Comment 7 errata-xmlrpc 2011-01-25 12:07:29 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0177 https://rhn.redhat.com/errata/RHSA-2011-0177.html

Note You need to log in before you can comment on or make changes to this bug.